Package htsjdk.samtools.cram.compression.rans

# Class Utils

java.lang.Object
htsjdk.samtools.cram.compression.rans.Utils

public final class Utils extends Object

## Constructor Summary

Constructors
Constructor
Description
`Utils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`normaliseFrequenciesOrder0(int[] F, int bits)`
`static void`
`normaliseFrequenciesOrder0Shift(int[] frequencies, int bits)`
`static void`
`normaliseFrequenciesOrder1(int[][] F, int shift)`
`static void`
`normaliseFrequenciesOrder1Shift(int[][] F, int shift)`
`static long`
`RANSDecodeRenormalize4x8(long r, ByteBuffer byteBuffer)`
`static long`
`RANSDecodeRenormalizeNx16(long r, ByteBuffer byteBuffer)`
`static int`
`RANSGetCumulativeFrequency(long r, int scaleBits)`
`static void`
`reverse(ByteBuffer byteBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Utils

public Utils()

## Method Details

### reverse

public static void reverse(ByteBuffer byteBuffer)

### RANSGetCumulativeFrequency

public static int RANSGetCumulativeFrequency(long r, int scaleBits)

### RANSDecodeRenormalize4x8

public static long RANSDecodeRenormalize4x8(long r, ByteBuffer byteBuffer)

### RANSDecodeRenormalizeNx16

public static long RANSDecodeRenormalizeNx16(long r, ByteBuffer byteBuffer)

### normaliseFrequenciesOrder0

public static void normaliseFrequenciesOrder0(int[] F, int bits)

### normaliseFrequenciesOrder1

public static void normaliseFrequenciesOrder1(int[][] F, int shift)

### normaliseFrequenciesOrder0Shift

public static void normaliseFrequenciesOrder0Shift(int[] frequencies, int bits)

### normaliseFrequenciesOrder1Shift

public static void normaliseFrequenciesOrder1Shift(int[][] F, int shift)